/// <reference types="react" />
import BaseComponent from './base-components';
import { BaseChartsProp } from './base-charts/base';
interface MapChartsProp extends BaseChartsProp {
    seriesData: any;
    setOptionAfterLoadMap?: Function;
    regionType: string;
    regionName?: string;
}
interface MapChartsState {
    regionJson?: any;
}
declare class MapCharts extends BaseComponent<MapChartsProp, MapChartsState> {
    constructor(props: MapChartsProp);
    componentWillMount(): void;
    setSeriesDataFunc(): any;
    render(): JSX.Element;
}
export default MapCharts;
